none
EWS Managed API 2.2 > does not show the Exchange version 2016 in its enumeration RRS feed

  • Question

  • I am using EWS Managed API 2.2 and it does not show the Exchange version 2016 in its enumeration. I can see the versions upto Exchange 2013. So how can I connect to Exchange Server 2016? Is the API, yet to be updated from Microsoft or do I need to use any other API's to connect to Exchange 2016 ?
    Tuesday, October 3, 2017 1:05 PM

Answers

  • You need to compile the latest version from GitHub https://github.com/OfficeDev/ews-managed-api which contains the newer server version enums. Microsoft doesn't release updated compiled versions of the EWS Managed API.

    Cheers
    Glen

    • Marked as answer by Dino Nguyen Thursday, October 5, 2017 5:39 PM
    Tuesday, October 3, 2017 8:46 PM

All replies

  • You need to compile the latest version from GitHub https://github.com/OfficeDev/ews-managed-api which contains the newer server version enums. Microsoft doesn't release updated compiled versions of the EWS Managed API.

    Cheers
    Glen

    • Marked as answer by Dino Nguyen Thursday, October 5, 2017 5:39 PM
    Tuesday, October 3, 2017 8:46 PM
  • thanks a lot - I checked out and it appeared they are added.
    Thursday, October 5, 2017 5:38 PM